CPropManagerEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.CPropManagerEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class CPropManagerEJBImpl

    java.lang.Object
      org.hyperic.hq.appdef.server.session.AppdefSessionUtil
          org.hyperic.hq.appdef.server.session.CPropManagerEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class CPropManagerEJBImpl

extends AppdefSessionUtil
implements javax.ejb.SessionBean

See Also:
  Serialized Form

Constructor Summary
`CPropManagerEJBImpl()`

Method Summary
`void` | `addKey(AppdefResourceType appdefType, java.lang.String key, java.lang.String description)` Add a key to a resource type based on a TypeInfo object.
`void` | `addKey(CpropKey key)` Add a key to a resource type.
`void` | `deleteKey(int appdefType, int appdefTypeId, java.lang.String key)` Remove a key from a resource type.
`void` | `deleteValues(int appdefType, int id)` Remove custom properties for a given resource.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`CpropKey` | `findByKey(AppdefResourceType appdefType, java.lang.String key)` find Cprop by key to a resource type based on a TypeInfo object.
`AppdefResourceType` | `findResourceType(TypeInfo info)` find appdef resource type
`protected AgentReportStatusDAO` | `getAgentReportStatusDAO()`
`protected AgentTypeDAO` | `getAgentTypeDAO()`
`protected AIServerDAO` | `getAIServerDAO()`
`java.util.List` | `getCPropValues(AppdefResourceTypeValue appdefType, java.lang.String key, boolean asc)` Get all Cprops values with specified key name, irregardless of type
`java.util.Properties` | `getDescEntries(AppdefEntityID aID)` Get a map which holds the descriptions & their associated values for an appdef entity.
`java.util.Properties` | `getEntries(AppdefEntityID aID)` Get a map which holds the keys & their associated values for an appdef entity.
`java.util.List` | `getKeys(int appdefType, int appdefTypeId)` Get all the keys associated with an appdef resource type.
`static org.hyperic.hq.appdef.shared.CPropManagerLocal` | `getOne()`
`java.lang.String` | `getValue(AppdefEntityValue aVal, java.lang.String key)` Get a custom property for a resource.
`void` | `setConfigResponse(AppdefEntityID aID, int typeId, byte[] data)` Set custom properties for a resource.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `setValue(AppdefEntityID aID, int typeId, java.lang.String key, java.lang.String val)` Set (or delete) a custom property for a resource.

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionUtil
`findResourceType, getAgentDAO, getAIQManagerLocal, getApplicationDAO, getApplicationManager, getConfigManager, getConfigResponseDAO, getCPropManager, getPlatformDAO, getPlatformManager, getPlatformTypeDAO, getResourceManager, getServerDAO, getServerManager, getServerTypeDAO, getServiceDAO, getServiceManager, getServiceTypeDAO`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPropManagerEJBImpl

    public CPropManagerEJBImpl()

Method Detail

### getKeys

    public java.util.List getKeys(int appdefType,
                                  int appdefTypeId)

  Get all the keys associated with an appdef resource type.

  Parameters:
    `appdefType` - One of AppdefEntityConstants.APPDEF_TYPE_*
    `appdefTypeId` - The ID of the appdef resource type
  Returns:
    a List of CPropKeyValue objects

### findResourceType

    public AppdefResourceType findResourceType(TypeInfo info)

  find appdef resource type

  Overrides:
    `findResourceType` in class `AppdefSessionUtil`

### findByKey

    public CpropKey findByKey(AppdefResourceType appdefType,
                              java.lang.String key)

  find Cprop by key to a resource type based on a TypeInfo object.

### addKey

    public void addKey(AppdefResourceType appdefType,
                       java.lang.String key,
                       java.lang.String description)

  Add a key to a resource type based on a TypeInfo object.

### addKey

    public void addKey(CpropKey key)
                throws AppdefEntityNotFoundException,
                       CPropKeyExistsException

  Add a key to a resource type. The key's 'appdefType' and 'appdefTypeId' fields are used to locate the resource -- if that resource does not exist, an AppdefEntityNotFoundException will be thrown.

  Parameters:
    `key` - Key to create
  Throws:
    `AppdefEntityNotFoundException`
    `CPropKeyExistsException`

### deleteKey

    public void deleteKey(int appdefType,
                          int appdefTypeId,
                          java.lang.String key)
                   throws CPropKeyNotFoundException

  Remove a key from a resource type.

  Parameters:
    `appdefType` - One of AppdefEntityConstants.APPDEF_TYPE_*
    `appdefTypeId` - The ID of the resource type
    `key` - Key to remove
  Throws:
    `CPropKeyNotFoundException`

### setValue

    public void setValue(AppdefEntityID aID,
                         int typeId,
                         java.lang.String key,
                         java.lang.String val)
                  throws CPropKeyNotFoundException,
                         AppdefEntityNotFoundException,
                         PermissionException

  Set (or delete) a custom property for a resource. If the property already exists, it will be overwritten.

  Parameters:
    `aID` - Appdef entity id to set the value for
    `typeId` - Resource type id
    `key` - Key to associate the value with
    `val` - Value to assicate with the key. If the value is null, then the value will simply be removed.
  Throws:
    `CPropKeyNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### getValue

    public java.lang.String getValue(AppdefEntityValue aVal,
                                     java.lang.String key)
                              throws CPropKeyNotFoundException,
                                     AppdefEntityNotFoundException,
                                     PermissionException

  Get a custom property for a resource.

  Parameters:
    `aVal` - Appdef entity to get the value for
    `key` - Key of the value to get
  Returns:
    The value associated with 'key' if found, else null
  Throws:
    `CPropKeyNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### getEntries

    public java.util.Properties getEntries(AppdefEntityID aID)
                                    throws PermissionException,
                                           AppdefEntityNotFoundException

  Get a map which holds the keys & their associated values for an appdef entity.

  Parameters:
    `aID` - Appdef entity id to get the custom properties for
  Returns:
    The properties stored for a specific entity ID. An empty Properties object will be returned if there are no custom properties defined for the resource
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### getDescEntries

    public java.util.Properties getDescEntries(AppdefEntityID aID)
                                        throws PermissionException,
                                               AppdefEntityNotFoundException

  Get a map which holds the descriptions & their associated values for an appdef entity.

  Parameters:
    `aID` - Appdef entity id to get the custom properties for
  Returns:
    The properties stored for a specific entity ID
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### setConfigResponse

    public void setConfigResponse(AppdefEntityID aID,
                                  int typeId,
                                  byte[] data)
                           throws PermissionException,
                                  AppdefEntityNotFoundException

  Set custom properties for a resource. If the property already exists, it will be overwritten.

  Parameters:
    `aID` - Appdef entity id to set the value for
    `typeId` - Resource type id
    `data` - Encoded ConfigResponse
  Throws:
    `PermissionException`
    `AppdefEntityNotFoundException`

### deleteValues

    public void deleteValues(int appdefType,
                             int id)

  Remove custom properties for a given resource.

### getCPropValues

    public java.util.List getCPropValues(AppdefResourceTypeValue appdefType,
                                         java.lang.String key,
                                         boolean asc)

  Get all Cprops values with specified key name, irregardless of type

### getOne

    public static org.hyperic.hq.appdef.shared.CPropManagerLocal getOne()

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

### getAgentTypeDAO

    protected AgentTypeDAO getAgentTypeDAO()

### getAgentReportStatusDAO

    protected AgentReportStatusDAO getAgentReportStatusDAO()

### getAIServerDAO

    protected AIServerDAO getAIServerDAO()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.